Bug 1419098 - CVE-2016-7993 tcpdump: Buffer overflow in util-print.c:relts_print() in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP, lightweight resolver protocol, PIM)
Summary: CVE-2016-7993 tcpdump: Buffer overflow in util-print.c:relts_print() in multi...
Keywords:
Status: CLOSED DUPLICATE of bug 1419066
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419114
Blocks: 1419144
TreeView+ depends on / blocked
 
Reported: 2017-02-03 15:26 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
5 users (show)

Fixed In Version: tcpdump 4.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 03:54:27 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-02-03 15:26:06 UTC
A bug in util-print.c:relts_print() that could cause buffer overflow in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP, lightweight resolver protocol, PIM) was found that may cause a segmentation fault. This issue can be be exploited either locally by making the target system to decode crafted .pcap file using tcpdump, or remotely by sending crafted packets to the network segment where the target system is running tcpdump decoding the live packet capture.

Upstream changelog:

http://www.tcpdump.org/tcpdump-changes.txt

Comment 1 Adam Mariš 2017-02-03 15:26:20 UTC
Acknowledgments:

Name: the Tcpdump project

Comment 2 Adam Mariš 2017-02-03 15:38:44 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1419114]

Comment 3 Doran Moppert 2017-02-20 03:54:27 UTC

*** This bug has been marked as a duplicate of bug 1419066 ***


Note You need to log in before you can comment on or make changes to this bug.